package com.yinlihupo.enlish.service.domain.mapper;

import com.yinlihupo.enlish.service.domain.dataobject.GradeDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GradeDOMapper {

    GradeDO selectById(Integer id);

    List<GradeDO> selectByGradeIds(@Param("gradeIds") List<Integer> gradeIds);

    List<GradeDO> selectList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize);

    Integer selectCount();

    int insert(String name);

    void deleteById(Integer id);
}